Index: src/lgt/do_options.c
===================================================================
--- src/lgt/do_options.c	(revision 54124)
+++ src/lgt/do_options.c	(working copy)
@@ -391,7 +391,7 @@
     buf[1] = '\0';
     /* Set up argument vector for function. */
     local_argv[0] = buf;
-    local_argv[1] = strtok(arg, " \t");	/* Arguments to option. */
+    local_argv[1] = strtok(arg, (char *)" \t");	/* Arguments to option. */
     /* Look for multiple tokens in argument. */
     for (i = 2;
 	 i < 5
@@ -684,7 +684,7 @@
 static int
 f_Batch()
 {
-    static char *batch_com[8];
+    static const char *batch_com[8];
     char script[MAXPATHLEN];
     FILE *fp = NULL;
 
@@ -813,7 +813,7 @@
 {
     char buf[10];
     char *ar[3];
-    ar[1] = "0";
+    ar[1] = (char *)"0";
     ar[2] = buf;
     (void) sprintf(ar[2], "%d", grid_sz-1);
     (void) f_Grid_X_Pos(ar);
@@ -1108,7 +1108,7 @@
 				    }
 				    view_size *= scale;
 				    /* Scale down view size. */
-				    ar[0] = "G";
+				    ar[0] = (char *)"G";
 				    ar[1] = buf;
 				    ar[2] = NULL;
 				    (void) sprintf(ar[1], "%d", grid_sz);
@@ -1905,7 +1905,7 @@
     OcList *oclist;
     static char reg_name[MAX_LN];
     static int temperature = 0;
-    oclist = get_Region_Name(reg_name, MAX_LN, "Region name ? ");
+    oclist = get_Region_Name(reg_name, MAX_LN, (char *)"Region name ? ");
     (void) sprintf(prompt,
 		   "Temperature for region(s) ? (%d) ",
 		   temperature
@@ -2907,7 +2907,7 @@
 	    return -1;
 	}
 	stashed_args = args;
-	args[0] = "!";
+	args[0] = (char *)"!";
 	args[1] = NULL;
     }
     /* Skip leading blanks. */
@@ -2955,7 +2955,7 @@
 	    (void) fputs("completed successfully.", stdout);
 	(void) get_Input(input_ln, BUFSIZ, "Continue ? [y|n](y) ");
 	if (input_ln[0] == 'n') {
-	    args[0] = "!";
+	    args[0] = (char *)"!";
 	    args[1] = NULL;
 	    goto exec_start;
 	}
@@ -3267,7 +3267,7 @@
 	/* If detached, and at EOF, do at least 1 picture. */
 	if (! tty && first_time_through) {
 	    first_time_through = FALSE;
-	    args[0] = "R";
+	    args[0] = (char *)"R";
 	    args[1] = NULL;
 	    return;
 	} else
@@ -3275,7 +3275,7 @@
 		/* User types interrupt, EOT, or EOF encountered
 		   from detached process.
 		*/
-		args[0] = "q";
+		args[0] = (char *)"q";
 		args[1] = NULL;
 		return;
 	    }
@@ -3291,7 +3291,7 @@
     if ((args[0] = strtok(input_ln, " \t")) == NULL) {
 	if (! tty)
 	    bu_log("Blank line input.\n");
-	args[0] = "#";
+	args[0] = (char *)"#";
 	args[1] = NULL;
 	return;
     }
@@ -3445,7 +3445,7 @@
     {
 	switch (c) {
 	    default :
-		if (! user_Opt(c, bu_optarg)) {
+		if (! user_Opt(c, (char *)bu_optarg)) {
 		    (void) printf("Failure of user_Opt(%c)", c);
 		    return 0;
 		}
Index: src/lgt/hmenu.h
===================================================================
--- src/lgt/hmenu.h	(revision 54124)
+++ src/lgt/hmenu.h	(working copy)
@@ -38,8 +38,8 @@
 */
 typedef struct HMitem
 {
-    char		*text;	/* menu item string			*/
-    char		*help;	/* help string				*/
+    const char		*text;	/* menu item string			*/
+    const char		*help;	/* help string				*/
     struct HMenu	*next;	/* sub-menu pointer or NULL		*/
     void		(*dfn)(), (*bfn)();
     int		(*hfn)();
Index: src/lgt/fb.c
===================================================================
--- src/lgt/fb.c	(revision 54124)
+++ src/lgt/fb.c	(working copy)
@@ -43,7 +43,7 @@
 fb_Setup(char *file, int size)
 {
     if ( BU_STR_EQUAL( file, "/dev/remote" ) )
-	file = "/dev/debug";
+	file = (char *)"/dev/debug";
     prnt_Event( "Opening device..." );
 
     if (((fbiop = fb_open(file[0] == '\0' ? NULL : file, size, size)) == FBIO_NULL) ||
Index: src/libdm/query.c
===================================================================
--- src/libdm/query.c	(revision 54124)
+++ src/libdm/query.c	(working copy)
@@ -153,7 +153,7 @@
 	if ((dpy = XOpenDisplay(dpy_string)) != NULL) {
 	    if (XQueryExtension(dpy, "GLX", &return_val, &return_val, &return_val)) {
 		XCloseDisplay(dpy);
-		return "ogl";
+		return (char *)"ogl";
 	    }
 	    XCloseDisplay(dpy);
 	}
@@ -165,13 +165,13 @@
 	Display *dpy;
 	if ((dpy = XOpenDisplay(dpy_string)) != NULL) {
 	    XCloseDisplay(dpy);
-	    return "X";
+	    return (char *)"X";
 	}
     }
 #endif
 
 #ifdef DM_TK
-    return "tk";
+    return (char *)"tk";
 #else
     return "nu";
 #endif
Index: src/libdm/dm-X.c
===================================================================
--- src/libdm/dm-X.c	(revision 54124)
+++ src/libdm/dm-X.c	(working copy)
@@ -1697,8 +1697,8 @@
     0,                            /* no stereo */
     PLOTBOUND,			/* zoom-in limit */
     1,				/* bound flag */
-    "X",
-    "X Window System (X11)",
+    (char *)"X",
+    (char *)"X Window System (X11)",
     DM_TYPE_X,
     1,
     0,
Index: src/libdm/dm-Null.c
===================================================================
--- src/libdm/dm-Null.c	(revision 54124)
+++ src/libdm/dm-Null.c	(working copy)
@@ -296,8 +296,8 @@
     0,				/* no stereo */
     0.0,			/* zoom-in limit */
     1,				/* bound flag */
-    "nu",
-    "Null Display",
+    (char *)"nu",
+    (char *)"Null Display",
     DM_TYPE_NULL,
     0,/* top */
     0,/* width */
Index: src/libdm/dm-plot.c
===================================================================
--- src/libdm/dm-plot.c	(revision 54124)
+++ src/libdm/dm-plot.c	(working copy)
@@ -539,8 +539,8 @@
     0,				/* no stereo */
     PLOTBOUND,			/* zoom-in limit */
     1,				/* bound flag */
-    "plot",
-    "Screen to UNIX-Plot",
+    (char *)"plot",
+    (char *)"Screen to UNIX-Plot",
     DM_TYPE_PLOT,
     0,
     0,
Index: src/libdm/dm-tk.c
===================================================================
--- src/libdm/dm-tk.c	(revision 54124)
+++ src/libdm/dm-tk.c	(working copy)
@@ -846,8 +846,8 @@
     0,				/* no stereo */
     PLOTBOUND,			/* zoom-in limit */
     1,				/* bound flag */
-    "Tk",
-    "Tk Abstraction Layer",
+    (char *)"Tk",
+    (char *)"Tk Abstraction Layer",
     DM_TYPE_TK,
     1,
     0,
Index: src/libdm/dm-ogl.c
===================================================================
--- src/libdm/dm-ogl.c	(revision 54124)
+++ src/libdm/dm-ogl.c	(working copy)
@@ -173,8 +173,8 @@
     0,                          /* no stereo by default */
     1.0,			/* zoom-in limit */
     1,				/* bound flag */
-    "ogl",
-    "X Windows with OpenGL graphics",
+    (char *)"ogl",
+    (char *)"X Windows with OpenGL graphics",
     DM_TYPE_OGL,
     1,
     0,
@@ -1781,7 +1781,7 @@
 HIDDEN int
 ogl_drawLine2D(struct dm *dmp, fastf_t X1, fastf_t Y1, fastf_t X2, fastf_t Y2)
 {
-    return drawLine2D(dmp, X1, Y1, X2, Y2, "ogl_drawLine2D()\n");
+    return drawLine2D(dmp, X1, Y1, X2, Y2, (char *)"ogl_drawLine2D()\n");
 }
 
 
@@ -1792,7 +1792,7 @@
 HIDDEN int
 ogl_drawLine3D(struct dm *dmp, point_t pt1, point_t pt2)
 {
-    return drawLine3D(dmp, pt1, pt2, "ogl_drawLine3D()\n", wireColor);
+    return drawLine3D(dmp, pt1, pt2, (char *)"ogl_drawLine3D()\n", wireColor);
 }
 
 
@@ -1803,7 +1803,7 @@
 HIDDEN int
 ogl_drawLines3D(struct dm *dmp, int npoints, point_t *points, int sflag)
 {
-    return drawLines3D(dmp, npoints, points, sflag, "ogl_drawLine3D()\n", wireColor);
+    return drawLines3D(dmp, npoints, points, sflag, (char *)"ogl_drawLine3D()\n", wireColor);
 }
 
 
Index: src/libdm/dm-ps.c
===================================================================
--- src/libdm/dm-ps.c	(revision 54124)
+++ src/libdm/dm-ps.c	(working copy)
@@ -543,8 +543,8 @@
     0,                            /* no stereo */
     PLOTBOUND,			/* zoom-in limit */
     1,				/* bound flag */
-    "ps",
-    "Screen to PostScript",
+    (char *)"ps",
+    (char *)"Screen to PostScript",
     DM_TYPE_PS,
     0,
     0,
Index: src/fbserv/fbserv.c
===================================================================
--- src/fbserv/fbserv.c	(revision 54124)
+++ src/fbserv/fbserv.c	(working copy)
@@ -141,7 +141,7 @@
 		height = width = 1024;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 	    case 'S':
@@ -506,7 +506,7 @@
 	if (error_count++ < 60) {
 	    continue;
 	}
-	comm_error("Unable to start the stand-alone framebuffer daemon after 60 seconds, giving up.");
+	comm_error((char *)"Unable to start the stand-alone framebuffer daemon after 60 seconds, giving up.");
 	return 1;
     }
 
@@ -577,7 +577,7 @@
     for ( i = MAX_CLIENTS-1; i >= 0; i-- )  {
 	if ( clients[i] == NULL )  continue;
 	if ( pkg_send( MSG_ERROR, outbuf, want, clients[i] ) != want )  {
-	    comm_error("pkg_send error in fb_log, message was:\n");
+	    comm_error((char *)"pkg_send error in fb_log, message was:\n");
 	    comm_error(outbuf);
 	} else {
 	    nsent++;
Index: src/liborle/rle.c
===================================================================
--- src/liborle/rle.c	(revision 54124)
+++ src/liborle/rle.c	(working copy)
@@ -226,7 +226,7 @@
 }
 
 void
-prnt_XSetup(char *msg, register Xtnd_Rle_Header *setup)
+prnt_XSetup(const char *msg, register Xtnd_Rle_Header *setup)
 {
     (void) fprintf(stderr, "%s : \n", msg);
     (void) fprintf(stderr,
Index: src/libbu/which.c
===================================================================
--- src/libbu/which.c	(revision 54124)
+++ src/libbu/which.c	(working copy)
@@ -43,7 +43,7 @@
 
     char PATH[MAXPATHENV];
 
-    char *directory = NULL;
+    const char *directory = NULL;
     char *position = NULL;
 
     if (UNLIKELY(bu_debug & BU_DEBUG_PATHS)) {
Index: src/libbu/getopt.c
===================================================================
--- src/libbu/getopt.c	(revision 54124)
+++ src/libbu/getopt.c	(working copy)
@@ -42,7 +42,7 @@
 int
 bu_getopt(int nargc, char * const nargv[], const char *ostr)
 {
-    static char *place = EMSG;	/* option letter processing */
+    static const char *place = EMSG;	/* option letter processing */
     register char *oli;		/* option letter list index */
 
     if (*place=='\0') {
Index: src/libbu/tests/bu_str_isprint.c
===================================================================
--- src/libbu/tests/bu_str_isprint.c	(revision 54124)
+++ src/libbu/tests/bu_str_isprint.c	(working copy)
@@ -28,7 +28,7 @@
 
 
 int
-test_str_isprint(char *inp , int exp)
+test_str_isprint(const char *inp , int exp)
 {
     int res;
     res = bu_str_isprint(inp);
Index: src/libbu/tests/bu_redblack.c
===================================================================
--- src/libbu/tests/bu_redblack.c	(revision 54124)
+++ src/libbu/tests/bu_redblack.c	(working copy)
@@ -63,7 +63,7 @@
 {
     struct bu_rb_tree *testTree;
     void *searchedValue;
-    char *sources[] = {"h", "e", "a", "l", "l", "o"};
+    const char *sources[] = {"h", "e", "a", "l", "l", "o"};
     int i = 0;
     int passed = 0;
 
@@ -72,12 +72,12 @@
 	return 1;
     }
 
-    testTree = bu_rb_create1("TestingTree", compareFunc);
+    testTree = bu_rb_create1((char *)"TestingTree", compareFunc);
     for (i = 0; i < 6; i++)
-	bu_rb_insert(testTree, sources[i]);
+	bu_rb_insert(testTree, (char *)sources[i]);
 
     printf("SEARCH TEST: \n\tSEARCHING AN EXISTING VALUE:\n");
-    searchedValue = bu_rb_search(testTree, 0, "h");
+    searchedValue = bu_rb_search(testTree, 0, (char *)"h");
 
     if (searchedValue == NULL) {
 	printf("\t\t\t[FAILED]\n\t\t\tShould be h \n");
@@ -87,7 +87,7 @@
     }
 
     printf("\tSEARCHING A NONEXISTENT VALUE:\n");
-    searchedValue = bu_rb_search(testTree, 0, "not");
+    searchedValue = bu_rb_search(testTree, 0, (char *)"not");
 
     if (searchedValue == 0) {
 	printf("\t\t\t[PASSED]\n");
@@ -97,11 +97,11 @@
     }
 
     printf("DELETE TEST: \n\tDELETING AN EXISTENT VALUE:\n");
-    searchedValue = bu_rb_search(testTree, 0, "a");
+    searchedValue = bu_rb_search(testTree, 0, (char *)"a");
     bu_rb_delete(testTree, 0);
 
     printf("\tSEARCHING THE SAME VALUE AFTER DELETION \n");
-    searchedValue = bu_rb_search(testTree, 0, "a");
+    searchedValue = bu_rb_search(testTree, 0, (char *)"a");
 
     if (searchedValue == 0) {
 	printf("\t\t\t[PASSED]\n");
@@ -116,7 +116,7 @@
     printf("\nPREORDER:\n");
     bu_rb_walk(testTree, 0, displayNode, 0);
     bu_rb_diagnose_tree(testTree, 0, 0);
-    searchedValue = bu_rb_search(testTree, 0, "h");
+    searchedValue = bu_rb_search(testTree, 0, (char *)"h");
 
     printf("\nPREORDER AFTER SEARCH:\n");
     bu_rb_walk(testTree, 0, displayNode, 0);
Index: src/libbu/mappedfile.c
===================================================================
--- src/libbu/mappedfile.c	(revision 54124)
+++ src/libbu/mappedfile.c	(working copy)
@@ -295,7 +295,7 @@
 
     if (mp) {
 	bu_free(mp->name, "mp->name");
-	if (mp->appl) bu_free(mp->appl, "mp->appl");
+	if (mp->appl) bu_free((genptr_t)mp->appl, "mp->appl");
 	/* Don't free mp->buf here, it might not be bu_malloced but mmaped */
 	bu_free(mp, "mp from bu_open_mapped_file fail");
     }
Index: src/libbu/whereis.c
===================================================================
--- src/libbu/whereis.c	(revision 54124)
+++ src/libbu/whereis.c	(working copy)
@@ -52,7 +52,7 @@
 
     char PATH[MAXPATHENV];
 
-    char *directory = NULL;
+    const char *directory = NULL;
     char *position = NULL;
 
     if (UNLIKELY(bu_debug & BU_DEBUG_PATHS)) {
Index: src/libbu/fnmatch.c
===================================================================
--- src/libbu/fnmatch.c	(revision 54124)
+++ src/libbu/fnmatch.c	(working copy)
@@ -163,7 +163,7 @@
 
 
 typedef struct _charclass {
-    char *idstring;		/* identifying string */
+    const char *idstring;	/* identifying string */
     int (*checkfun)(int);	/* testing function */
 } CHARCLASS;
 
Index: src/libbu/globals.c
===================================================================
--- src/libbu/globals.c	(revision 54124)
+++ src/libbu/globals.c	(working copy)
@@ -95,7 +95,7 @@
 int bu_opterr = 1;
 int bu_optind = 1;
 int bu_optopt = 0;
-char *bu_optarg = NULL;
+const char *bu_optarg = NULL;
 
 
 /*
Index: src/libbu/vfont.c
===================================================================
--- src/libbu/vfont.c	(revision 54124)
+++ src/libbu/vfont.c	(working copy)
@@ -48,7 +48,7 @@
 
 
 struct vfont *
-vfont_get(char *font)
+vfont_get(const char *font)
 {
     register struct vfont *vfp = VFONT_NULL;
     register FILE *fp = NULL;
Index: src/burst/trie.c
===================================================================
--- src/burst/trie.c	(revision 54124)
+++ src/burst/trie.c	(working copy)
@@ -235,9 +235,9 @@
 	    buf[2] = NUL;
 	} else
 	    if (i == DEL)
-		return "DL";
+		return (char *)"DL";
 	    else
-		return "EOF";
+		return (char *)"EOF";
     return buf;
 }
 
Index: src/burst/Hm.c
===================================================================
--- src/burst/Hm.c	(revision 54124)
+++ src/burst/Hm.c	(working copy)
@@ -212,9 +212,9 @@
 	 citemp->text != (char *) NULL;
 	 citemp++, count++
 	) {
-	MmStrFree(citemp->text);
+	MmStrFree((genptr_t)citemp->text);
 	if (citemp->help != (char *) NULL)
-	    MmStrFree(citemp->help);
+	    MmStrFree((genptr_t)citemp->help);
     }
     MmVFree(count, HmItem, itemp);
     return;
Index: src/burst/Hm.h
===================================================================
--- src/burst/Hm.h	(revision 54124)
+++ src/burst/Hm.h	(working copy)
@@ -76,8 +76,8 @@
 
 typedef struct
 {
-    char *text;			/* menu item string */
-    char *help;			/* help string */
+    const char *text;			/* menu item string */
+    const char *help;			/* help string */
     struct HmMenu *next;	/* sub-menu pointer or NULL */
     void (*dfn)();
     void (*bfn)();
Index: src/burst/ui.c
===================================================================
--- src/burst/ui.c	(revision 54124)
+++ src/burst/ui.c	(working copy)
@@ -95,10 +95,10 @@
 	}
 
 typedef struct {
-    char *prompt;
+    const char *prompt;
     char buffer[LNBUFSZ];
-    char *fmt;
-    char *range;
+    const char *fmt;
+    const char *range;
 } Input;
 
 /* local menu functions, names all start with M */
@@ -151,8 +151,8 @@
 typedef struct ftable Ftable;
 struct ftable
 {
-    char *name;
-    char *help;
+    const char *name;
+    const char *help;
     Ftable *next;
     Func *func;
 };
@@ -447,7 +447,7 @@
     if (! batchmode) {
 	int c;
 	char *p;
-	char *defaultp = ip->buffer;
+	const char *defaultp = ip->buffer;
 	if (*defaultp == NUL)
 	    defaultp = "no default";
 	if (ip->range != NULL)
@@ -1488,7 +1488,7 @@
     if (itemp != NULL) {
 	if ((itemptr = HmHit(&units_hmenu)) == (HmItem *) NULL)
 	    return;
-	unitstr = itemptr->text;
+	unitstr = (char *)itemptr->text;
     } else
 	unitstr = strtok(cmdptr, WHITESPACE);
     units = unitStrToInt(unitstr);
Index: src/burst/prnt.c
===================================================================
--- src/burst/prnt.c	(revision 54124)
+++ src/burst/prnt.c	(working copy)
@@ -123,7 +123,7 @@
 
 
 void
-locPerror(char *msg)
+locPerror(const char *msg)
 {
     if (errno > 0)
 	brst_log("%s: %s\n", msg, strerror(errno));
@@ -889,7 +889,7 @@
 }
 
 
-static char *usage[] =
+static const char *usage[] =
 {
     "Usage: burst [-b]",
     "\tThe -b option suppresses the screen display (for batch jobs).",
@@ -898,7 +898,7 @@
 void
 prntUsage()
 {
-    char **p = usage;
+    char **p = (char **)usage;
     while (*p != NULL)
 	(void) fprintf(stderr, "%s\n", *p++);
 }
Index: src/fbed/fbed.c
===================================================================
--- src/fbed/fbed.c	(revision 54124)
+++ src/fbed/fbed.c	(working copy)
@@ -104,7 +104,7 @@
 
 HIDDEN RGBpixel *pixel_Avg();
 HIDDEN int drawRect2D(Rect2D *rectp, unsigned char *pixelp);
-HIDDEN int getColor(unsigned char *pixelp, char *prompt, char *buffer);
+HIDDEN int getColor(unsigned char *pixelp, const char *prompt, char *buffer);
 HIDDEN int paintNonBorder(unsigned char *borderpix, Point *pt);
 HIDDEN int paintSolidRegion(unsigned char *regionpix, Point *pt);
 HIDDEN int popPoint(Point *pt, PtStack **spp);
@@ -116,7 +116,7 @@
 HIDDEN void init_Try(void);
 HIDDEN void fb_Paint(int x0, int y0, int x1, int y1, RGBpixel (*color));
 HIDDEN void fb_Wind(void);
-HIDDEN void get_Point(char *msg, Point *pointp);
+HIDDEN void get_Point(const char *msg, Point *pointp);
 HIDDEN void clip_Rect2D(Rect2D *rectp);
 HIDDEN void get_Rect2D(char *name, Rect2D *rectp);
 HIDDEN void fillRect2D(Rect2D *rectp, RGBpixel (*pixelp));
@@ -608,7 +608,7 @@
 }
 
 HIDDEN int
-getColor(unsigned char *pixelp, char *prompt, char *buffer)
+getColor(unsigned char *pixelp, const char *prompt, char *buffer)
 {
     static char promptbuf[PROMPT_LEN];
     static int red, grn, blu;
@@ -1130,7 +1130,7 @@
     {
 	Malloc_Bomb();
     }
-    bu_strlcpy( macro_entry->f_name, macro_name, strlen(macro_name)+1 );
+    bu_strlcpy( (char *)macro_entry->f_name, macro_name, strlen(macro_name)+1 );
     add_Try( macro_entry, macro_entry->f_name, &try_rootp );
     return 1;
 }
@@ -1440,7 +1440,7 @@
     static FILE	*rle_fp;
     static char *args[] =
 	{
-	    "rle-fb", rle_file_nm, NULL
+	    (char *)"rle-fb", rle_file_nm, NULL
 	};
     if ( ! get_Input( rle_file_nm, MAX_LN, "Enter RLE file name : " ) )
 	return 0;
@@ -1476,11 +1476,11 @@
     static char rle_file_nm[MAX_LN];
     static char *args[4] =
 	{
-	    "fb-rle", rle_file_nm, NULL, NULL
+	    (char *)"fb-rle", rle_file_nm, NULL, NULL
 	};
     if ( fb_getwidth(fbp) == 1024 )
     {
-	args[1] = "-h";
+	args[1] = (char *)"-h";
 	args[2] = rle_file_nm;
     }
     if ( ! get_Input( rle_file_nm, MAX_LN, "Enter RLE file name : " ) )
@@ -1622,7 +1622,7 @@
 HIDDEN int
 f_Set_Rect2D() /* Set current rectangle. */
 {
-    get_Rect2D( "rectangle", &current );
+    get_Rect2D( (char *)"rectangle", &current );
     return 1;
 }
 
@@ -2145,7 +2145,7 @@
 
 /*	g e t _ P o i n t ( ) */
 HIDDEN void
-get_Point(char *msg, Point *pointp)
+get_Point(const char *msg, Point *pointp)
 {
     int tag_point = -1;
     int c = NUL;
@@ -2259,9 +2259,9 @@
 	    buf[2] = NUL;
 	} else
 	    if ( i == DEL )
-		return "DL";
+		return (char *)"DL";
 	    else
-		return "EOF";
+		return (char *)"EOF";
     return buf;
 }
 
Index: src/fbed/execshell.c
===================================================================
--- src/fbed/execshell.c	(revision 54124)
+++ src/fbed/execshell.c	(working copy)
@@ -63,7 +63,7 @@
 	char *arg_sh = getenv( "SHELL" );
 	/* $SHELL, if set, DFL_SHELL otherwise. */
 	if ( arg_sh == NULL )
-	    arg_sh = DFL_SHELL;
+	    arg_sh = (char *)DFL_SHELL;
 	args[0] = arg_sh;
 	args[1] = NULL;
     }
Index: src/fbed/try.h
===================================================================
--- src/fbed/try.h	(revision 54124)
+++ src/fbed/try.h	(working copy)
@@ -25,7 +25,7 @@
 {
     int (*f_func)();		/* Function pointer. */
     char *f_buff;		/* Macro key-stroke buffer. */
-    char *f_name;		/* Function/macro name. */
+    const char *f_name;		/* Function/macro name. */
 }
 Func_Tab;
 #define FT_NULL	(Func_Tab *) NULL
Index: src/fbed/prnt.c
===================================================================
--- src/fbed/prnt.c	(revision 54124)
+++ src/fbed/prnt.c	(working copy)
@@ -45,7 +45,7 @@
 #define SCROLL_PR_MOVE()	MvCursor( 1, PROMPT_LINE - 1 )
 #define SCROLL_DL_MOVE()	MvCursor( 1, BOTTOM_STATUS_AREA + 1 )
 
-static char *usage[] =
+static const char *usage[] =
 {
     "",
     "fbed (2.1)",
@@ -89,7 +89,7 @@
     return;
 }
 
-static char *screen_template[] = {
+static const char *screen_template[] = {
 /*        1         2         3         4         5         6         7         8
 	  012345678901234567890123456789012345678901234567890123456789012345678901234567890
 */
@@ -102,7 +102,7 @@
 void
 init_Status(void)
 {
-    char **p = screen_template;
+    char **p = (char **)screen_template;
     int template_co;
     char buf[MAX_LN];
     template_co = Min( CO, MAX_LN );
@@ -132,7 +132,7 @@
 void
 prnt_Usage(void)
 {
-    char **p = usage;
+    char **p = (char **)usage;
     while ( *p )
 	(void) fprintf( stderr, "%s\n", *p++ );
     return;
Index: src/fbed/pos_pad.c
===================================================================
--- src/fbed/pos_pad.c	(revision 54124)
+++ src/fbed/pos_pad.c	(working copy)
@@ -42,7 +42,7 @@
 #define	PADSIZE		2200
 
 static	int pfd;
-static	char *padfile = "/dev/pad";
+static	const char *padfile = "/dev/pad";
 static	int npoints;
 
 int
Index: src/librt/db5_types.c
===================================================================
--- src/librt/db5_types.c	(revision 54124)
+++ src/librt/db5_types.c	(working copy)
@@ -42,8 +42,8 @@
     int major_code;
     int minor_code;
     int heed_minor;
-    char *tag;
-    char *description;
+    const char *tag;
+    const char *description;
 };
 
 
@@ -117,7 +117,7 @@
 	 tp->major_code != DB5_MAJORTYPE_RESERVED;
 	 ++tp) {
 	if ((tp->major_code == major) && !(tp->heed_minor)) {
-	    *tag = tp->tag;
+	    *tag = (char *)tp->tag;
 	    return 0;
 	}
     }
@@ -134,7 +134,7 @@
 	 tp->major_code != DB5_MAJORTYPE_RESERVED;
 	 ++tp) {
 	if ((tp->major_code == major) && !(tp->heed_minor)) {
-	    *descrip = tp->description;
+	    *descrip = (char *)tp->description;
 	    return 0;
 	}
     }
@@ -155,7 +155,7 @@
 	    if (tp->heed_minor)
 		found_minors = 1;
 	    if ((tp->minor_code == minor) || !found_minors) {
-		*tag = tp->tag;
+		*tag = (char *)tp->tag;
 		return 0;
 	    }
 	}
@@ -177,7 +177,7 @@
 	    if (tp->heed_minor)
 		found_minors = 1;
 	    if ((tp->minor_code == minor) || !found_minors) {
-		*descrip = tp->description;
+		*descrip = (char *)tp->description;
 		return 0;
 	    }
 	}
Index: src/librt/primitives/poly/poly.c
===================================================================
--- src/librt/primitives/poly/poly.c	(revision 54124)
+++ src/librt/primitives/poly/poly.c	(working copy)
@@ -652,7 +652,7 @@
 
 	/* Associate face geometry */
 	if (nmg_calc_face_g(fu)) {
-	    nmg_pr_fu_briefly(fu, "");
+	    nmg_pr_fu_briefly(fu, (char *)"");
 	    bu_free((char *)verts, "pg_tess verts[]");
 	    bu_free((char *)vertp, "pg_tess vertp[]");
 	    return -1;			/* FAIL */
Index: src/librt/primitives/brep/brep_debug.cpp
===================================================================
--- src/librt/primitives/brep/brep_debug.cpp	(revision 54124)
+++ src/librt/primitives/brep/brep_debug.cpp	(working copy)
@@ -2219,7 +2219,7 @@
 	case OP_DB_LEAF:
 	    char *tmpname;
 	    char *oldname;
-	    oldname = oldtree->tr_l.tl_name;
+	    oldname = (char *)oldtree->tr_l.tl_name;
 	    tmpname = (char*)bu_malloc(strlen(oldname)+strlen(suffix)+1, "char");
 	    newtree->tr_l.tl_name = (char*)bu_malloc(strlen(oldname)+strlen(suffix)+1, "char");
 	    bu_strlcpy(tmpname, oldname, strlen(oldname)+1);
@@ -2238,7 +2238,7 @@
 			    rt_db_free_internal(intern);
 			    break;
 			}
-			bu_strlcpy(newtree->tr_l.tl_name, tmpname, strlen(tmpname)+1);
+			bu_strlcpy((char *)newtree->tr_l.tl_name, tmpname, strlen(tmpname)+1);
 			bu_free(tmpname, "char");
 			break;
 		    }
@@ -2262,7 +2262,7 @@
 			    } else {
 				bu_log("The conversion of [%s] (type: %s) is skipped. Implicit form remains as %s.\n",
 				       oldname, intern->idb_meth->ft_label, tmpname);
-				bu_strlcpy(newtree->tr_l.tl_name, tmpname, strlen(tmpname)+1);
+				bu_strlcpy((char *)newtree->tr_l.tl_name, tmpname, strlen(tmpname)+1);
 			    }
 			    bu_free(tmpname, "char");
 			    bu_free(brep, "ON_Brep*");
Index: src/librt/primitives/cline/cline.c
===================================================================
--- src/librt/primitives/cline/cline.c	(revision 54124)
+++ src/librt/primitives/cline/cline.c	(working copy)
@@ -807,7 +807,7 @@
 
 	if (nmg_calc_face_g(fu)) {
 	    bu_log("rt_tess_cline: failed to calculate plane equation\n");
-	    nmg_pr_fu_briefly(fu, "");
+	    nmg_pr_fu_briefly(fu, (char *)"");
 	    return -1;
 	}
     }
Index: src/librt/primitives/arb8/arb8.c
===================================================================
--- src/librt/primitives/arb8/arb8.c	(revision 54124)
+++ src/librt/primitives/arb8/arb8.c	(working copy)
@@ -114,7 +114,7 @@
  * (Although the cross product wants counter-clockwise order)
  */
 struct arb_info {
-    char *ai_title;
+    const char *ai_title;
     int ai_sub[4];
 };
 
Index: src/librt/primitives/bspline/nurb_util.c
===================================================================
--- src/librt/primitives/bspline/nurb_util.c	(revision 54124)
+++ src/librt/primitives/bspline/nurb_util.c	(working copy)
@@ -221,7 +221,7 @@
 
 
 void
-rt_nurb_s_print(char *c, const struct face_g_snurb *srf)
+rt_nurb_s_print(const char *c, const struct face_g_snurb *srf)
 {
 
     bu_log("%s\n", c);
Index: src/librt/primitives/tgc/tgc.c
===================================================================
--- src/librt/primitives/tgc/tgc.c	(revision 54124)
+++ src/librt/primitives/tgc/tgc.c	(working copy)
@@ -2604,7 +2604,7 @@
 
 	if (nmg_calc_face_g(fu)) {
 	    bu_log("rt_tess_tgc: failed to calculate plane equation\n");
-	    nmg_pr_fu_briefly(fu, "");
+	    nmg_pr_fu_briefly(fu, (char *)"");
 	    return -1;
 	}
     }
Index: src/librt/primitives/nmg/nmg_tri.c
===================================================================
--- src/librt/primitives/nmg/nmg_tri.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_tri.c	(working copy)
@@ -3574,7 +3574,7 @@
 		nmg_plot_lu_around_eu("cut_unimonotone_infinite_loopuse", eu, tol);
 		m = nmg_find_model(current->vu_p->up.eu_p->up.lu_p->up.magic_p);
 		nmg_stash_model_to_file("cut_unimonotone_infinite_model.g", m, "cut_unimonotone_infinite_model");
-		nmg_pr_lu(current->vu_p->up.eu_p->up.lu_p, "cut_unimonotone_loopuse");
+		nmg_pr_lu(current->vu_p->up.eu_p->up.lu_p, (char *)"cut_unimonotone_loopuse");
 		nmg_plot_fu("cut_unimonotone_infinite_loopuse", current->vu_p->up.eu_p->up.lu_p->up.fu_p, tol);
 	    }
 	    bu_log("cut_unimonotone(): infinite loop %x\n", current->vu_p->up.eu_p->up.lu_p);
@@ -3701,7 +3701,7 @@
 	     */
 	    if (rt_g.NMG_debug & DEBUG_TRI) {
 		bu_log("cut_unimonotone(): before cut loop:\n");
-		nmg_pr_fu_briefly(lu->up.fu_p, "");
+		nmg_pr_fu_briefly(lu->up.fu_p, (char *)"");
 	    }
 
 	    if (rt_g.NMG_debug & DEBUG_TRI) {
@@ -3888,7 +3888,7 @@
 
 	    if (rt_g.NMG_debug & DEBUG_TRI) {
 		bu_log("cut_unimonotone(): after cut loop:\n");
-		nmg_pr_fu_briefly(lu->up.fu_p, "");
+		nmg_pr_fu_briefly(lu->up.fu_p, (char *)"");
 	    }
 	    if (next->vu_p->v_p == prev->vu_p->v_p) {
 		/* the vert count must be decremented 2 when
